package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;

/**
 * 这笔支付订单中使用的优惠券信息
 * @author hgw
 * Created by 2022-01-04
 */
public class CouponPayTypeInfo {

    //优惠券类型
    private String typeDetail;
    //多个同类型优惠券 总共可以优惠的钱
    private BigDecimal faceValue = BigDecimal.ZERO;
    //多个同类型优惠券 总共“满多少”
    private BigDecimal couponAmount = BigDecimal.ZERO;

    public String getTypeDetail() {
        return typeDetail;
    }

    public void setTypeDetail(String typeDetail) {
        this.typeDetail = typeDetail;
    }

    public BigDecimal getCouponAmount() {
        return couponAmount;
    }

    public void setCouponAmount(BigDecimal couponAmount) {
        this.couponAmount = couponAmount;
    }

    public BigDecimal getFaceValue() {
        return faceValue;
    }

    public void setFaceValue(BigDecimal faceValue) {
        this.faceValue = faceValue;
    }
}
